> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/changelog/archive/changelog-2025/2025-07-30-cart.md).

# 2025-07-30: Cart Service - new attributes on item level

## Overview

Two new attributes have been added to cart item:

* `linePrice` - externally calculated total price for the item line (unit price × quantity)
* `lineTax` - externally calculated total tax for the item line, allowed only for external product type

New property was added to `itemCalculatedPrice.price`:

`calculated:INTERNAL/EXTERNAL` - indicates how the line item price was determined.

* `INTERNAL` — means the calculation was done by Emporix using unit price × quantity.
* `EXTERNAL` — means the calculation was done externally with `lineTax`

## Updated endpoints

| Endpoint                                                                                                                                                                    | Description                                                               |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| [Adding a product to cart](https://developer.emporix.io/api-references/api-guides/checkout/cart/api-reference/cart-items#post-cart-tenant-carts-cartid-items)               | The `linePrice` and `lineTax` attributes have been added.                 |
| [Updating a cart item](https://developer.emporix.io/api-references/api-guides/checkout/cart/api-reference/cart-items#put-cart-tenant-carts-cartid-items-itemid)             | The `linePrice` and `lineTax` attributes have been added.                 |
| [Retrieving cart details by ID](https://developer.emporix.io/api-references/api-guides/checkout/cart/api-reference/carts#get-cart-tenant-carts-cartid)                      | The `linePrice` and `lineTax` attributes have been added in the response. |
| [Retrieving all products added to a cart](https://developer.emporix.io/api-references/api-guides/checkout/cart/api-reference/cart-items#get-cart-tenant-carts-cartid-items) | The `linePrice` and `lineTax` attributes have been added in the response. |

## Known problems

There are no known problems.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-07-30-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
